net.minecraft.client.model

## Class ModelBiped

- java.lang.Object
- - net.minecraft.client.model.ModelBase
  - - net.minecraft.client.model.ModelBiped

- Direct Known Subclasses:
    ModelEnderman, ModelZombie, ModelZombieVillager

      public class ModelBiped
      extends ModelBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `aimedBow`
    `ModelRenderer` | `bipedBody`
    `ModelRenderer` | `bipedCloak`
    `ModelRenderer` | `bipedEars`
    `ModelRenderer` | `bipedHead`
    `ModelRenderer` | `bipedHeadwear`
    `ModelRenderer` | `bipedLeftArm`
    `ModelRenderer` | `bipedLeftLeg`
    `ModelRenderer` | `bipedRightArm`
    `ModelRenderer` | `bipedRightLeg`
    `int` | `heldItemLeft`
    `int` | `heldItemRight`
    `boolean` | `isSneak`

    - ### Fields inherited from class net.minecraft.client.model.ModelBase

      `boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelBiped()`
    `ModelBiped(float par1)`
    `ModelBiped(float par1, float par2, int par3, int par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)`
    `void` | `renderCloak(float par1)`
    `void` | `renderEars(float par1)`
    `void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)`

    - ### Methods inherited from class net.minecraft.client.model.ModelBase

      `getRandomModelBox, getTextureOffset, setLivingAnimations, setTextureOffset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bipedHead

          public ModelRenderer bipedHead

    - #### bipedHeadwear

          public ModelRenderer bipedHeadwear

    - #### bipedBody

          public ModelRenderer bipedBody

    - #### bipedRightArm

          public ModelRenderer bipedRightArm

    - #### bipedLeftArm

          public ModelRenderer bipedLeftArm

    - #### bipedRightLeg

          public ModelRenderer bipedRightLeg

    - #### bipedLeftLeg

          public ModelRenderer bipedLeftLeg

    - #### bipedEars

          public ModelRenderer bipedEars

    - #### bipedCloak

          public ModelRenderer bipedCloak

    - #### heldItemLeft

          public int heldItemLeft

    - #### heldItemRight

          public int heldItemRight

    - #### isSneak

          public boolean isSneak

    - #### aimedBow

          public boolean aimedBow

  - ### Constructor Detail

    - #### ModelBiped

          public ModelBiped()

    - #### ModelBiped

          public ModelBiped(float par1)

    - #### ModelBiped

          public ModelBiped(float par1,
                    float par2,
                    int par3,
                    int par4)

  - ### Method Detail

    - #### render

          public void render(Entity par1Entity,
                    float par2,
                    float par3,
                    float par4,
                    float par5,
                    float par6,
                    float par7)

      Overrides:
        `render` in class `ModelBase`

    - #### setRotationAngles

          public void setRotationAngles(float par1,
                               float par2,
                               float par3,
                               float par4,
                               float par5,
                               float par6,
                               Entity par7Entity)

      Overrides:
        `setRotationAngles` in class `ModelBase`

    - #### renderEars

          public void renderEars(float par1)

    - #### renderCloak

          public void renderCloak(float par1)